org.apache.maven.lifecycle.mapping

## Class Lifecycle

- java.lang.Object
- - org.apache.maven.lifecycle.mapping.Lifecycle

    public class Lifecycle
    extends java.lang.Object

Class Lifecycle.

### Constructor Summary

Constructors
Constructor and Description
`Lifecycle()`

### Method Summary

Methods
`void` `addOptionalMojo(java.lang.String optionalMojo)`
`java.lang.String` `getId()` Method getId
`java.util.List` `getOptionalMojos()`
`java.util.Map` `getPhases()` Method getPhases
`void` `setId(java.lang.String id)` Method setId
`void` `setOptionalMojos(java.util.List optionalMojos)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Lifecycle

    public Lifecycle()

### Method Detail

#### getId

    public java.lang.String getId()

Method getId

#### getPhases

    public java.util.Map getPhases()

Method getPhases

#### setId

    public void setId(java.lang.String id)

Method setId

Parameters:
  `id` -

#### addOptionalMojo

    public void addOptionalMojo(java.lang.String optionalMojo)

#### setOptionalMojos

    public void setOptionalMojos(java.util.List optionalMojos)

#### getOptionalMojos

    public java.util.List getOptionalMojos()